<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
$action = $_GET['action'];

switch ($action){
	default :
		$namecheck = $_GET['namecheck'];
		
		if( $sendsv === false ) { echo "Tốc độ xử lý của bạn quá nhanh, vui lòng chờ vài giây rồi tiếp tục thực hiện."; }
		elseif (empty($namecheck))
		{
			echo "<font size='4' color='red'>Dữ liệu lỗi - Chưa chọn nhập tên nhân vật cần kiểm tra.</font>";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $namecheck))
			{
				echo "<font size='4' color='red'>Dữ liệu lỗi - Tên nhân vật cần kiểm tra chỉ được sử dụng ký tự (a-z) và số (1-9).</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_kiemtranv.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'namecheck'    =>  $namecheck,
				
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "<font size='3' color='red'>Server bảo trì.</font>";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				echo $reponse;
			}
		}
}
?>